#636 Recursive include is not trapped

Rendering
closed
5
2014-10-03
2011-01-17
No

It is possible to include a wiki page inside another with IncludePage and Template plugins.

Recursive includes should be trapped, e.g.
"foo" including "foo",
"foo" including "bar", "bar" including "foo.

On the other hand, "foo" should be able to include "bar" multiple times.

There exists code in the plugins that handle this, but it does not work.

Discussion

  • Marc-Etienne Vargenau

    Hello Reini,

    Can you please have a look at this bug?

    I would like to have it fixed before 1.4.0 final is out.

    Best regards,

    Marc-Etienne

     
  • Reini Urban

    Reini Urban - 2012-10-13

    sure.
    On Oct 12, 2012 4:36 AM, "Marc-Etienne Vargenau" vargenau@users.sf.net
    wrote:

    Hello Reini,

    Can you please have a look at this bug?

    I would like to have it fixed before 1.4.0 final is out.

    Best regards,

    Marc-Etienne

    • bugs:636 Recursive include is not trapped*

    Status: open Labels: version 1.4.x (current) Created: Mon Jan 17,
    2011 03:14 PM UTC by Marc-Etienne Vargenau Last Updated: Thu Oct 11,
    2012 03:14 PM UTC Owner: Reini Urban

    It is possible to include a wiki page inside another with IncludePage and
    Template plugins.

    Recursive includes should be trapped, e.g.
    "foo" including "foo",
    "foo" including "bar", "bar" including "foo.

    On the other hand, "foo" should be able to include "bar" multiple times.

    There exists code in the plugins that handle this, but it does not work.

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/phpwiki/bugs/636/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     
  • Marc-Etienne Vargenau

    Le 13/10/2012 03:12, Reini Urban a écrit :

    sure.

    Thank you Reini.

    Marc-Etienne

    --
    Marc-Etienne Vargenau
    Alcatel-Lucent France, Route de Villejust, 91620 NOZAY, FRANCE
    +33 (0)1 30 77 28 33, Marc-Etienne.Vargenau@alcatel-lucent.com

     
  • Marc-Etienne Vargenau

    • labels: version 1.4.x (current) --> PhpWiki 1.5.0
     
  • Marc-Etienne Vargenau

    Still present in PhpWiki 1.5.0

     
  • Marc-Etienne Vargenau

    Solved in PhpWiki 1.5.1

     
  • Marc-Etienne Vargenau

    • status: open --> closed
     
  • Marc-Etienne Vargenau

    Fixed in PhpWiki 1.5.1

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks